{
  "type": "minecraft:crafting_shaped",
  "category": "misc",
  "key": {
    "G": {
      "item": "minecraft:green_stained_glass"
    },
    "N": {
      "item": "minecraft:iron_nugget"
    },
    "T": {
      "item": "minecraft:torch"
    }
  },
  "pattern": [
    "NNN",
    "GTG",
    " N "
  ],
  "result": {
    "count": 3,
    "item": "new_soviet:vintage_lamp"
  },
  "show_notification": true
}